/*
 * $Id: mount.h,v 1.2 2003/03/12 10:21:17 tsavola Exp $
 * Filesystem mounting.
 * Timo Savola <timo.savola@movial.fi>
 */

#ifndef MOUNT_H
#define MOUNT_H

/** Used for NFS mounting. */
#define MOUNT_CMD  "/bin/mount"

/** Used for checking existing mounts. */
#define MOUNT_TAB  "/proc/mounts"

#define MTYPE_NFS  1
#define MTYPE_BIND 2

typedef struct {
	int type;
	char *point;
	char *device;
	char *opts;
} mount_t;

extern int mkdirs(const char *path);
extern mount_t *mnt_parse(char *str, const char *root);
extern void mnt_free(mount_t *m);
extern int mnt_is_mounted(const mount_t *m);
extern int mnt_mount(const mount_t *m);
extern int mnt_unmount(const mount_t *m);

#endif
